読者です 読者をやめる 読者になる 読者になる

さくらVPSにcpanモジュールのOAuth::Lite::Consumerがインストールできなかった

Perl

昨日さくらVPS契約してPerlで作ってるサービス動かそうと
cpanインストール祭してたら
OAuth::Lite::Consumerのインストールでエラーでた。

Building and testing Crypt-OpenSSL-Random-0.04 ... FAIL

ググってたらこんな記事みっけた
fedora10へのCrypt::OpenSSL::Random installにはopenssl-develが必要? - end0tknrのkipple - web写経開発


openssl-devel
ってのが足りなかったので
記事に書いてる通り

sudo yum install openssl-dev

で解決!